QGIS 3.0 postgis rendering

2018-06-15 06:29 PM - Angie Rudolph

Status: Closed

Priority: High

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27032

Description

This was previously reported but no solution was given.  At this point I can't use 3.0 because the rendering from postgis is too slow.

"I have added data from PostGIS in Version 2.18 and the one data set loads in about 2 seconds. With the new 3.0 version, it takes 2

minutes to load that same data layer. All my data sets load really slow in Version 3.0. Not sure what the difference is from 2.18 to 3.0"

I also can't connect to the database using the DB manager, but that is a separate issue I believe.

Associated revisions

Revision ce74d57b - 2018-06-16 07:36 AM - Nyall Dawson

[postgres] Really disable dynamic queue size

The original commit speed up some layers, but regressed

performance for others. It was decided to revert the

dynamic queue feature, but it seems this was never actually

done.

Fixes #16239, #19203

History

#1 - 2018-06-15 10:13 PM - Nyall Dawson

- Status changed from Open to Feedback

This has been reported a couple of times but no one has been able to provide the required debugging info.

Please check the postgis logs and report of there's any difference in the queries executed by 3.0 vs 2.18

#2 - 2018-06-15 11:21 PM - Angie Rudolph

- File postgresql3.0.log added

- File postgresql2.18.log added

There is significant differences in the query logs.

Primary in 3.0 it is requesting each object individually
(see line 130 in attached postgresql3.0.log)

2018-06-15 14:52:59.847 MDT [17407] postgres@sublette LOG:  statement: FETCH FORWARD 1 FROM qgis_1

In 2.18 it requests 2000 objects (see line 107 in attached postgresql2.18.log)

2018-06-15 15:04:03.519 MDT [17884] postgres@sublette LOG:  statement: FETCH FORWARD 2000 FROM qgis_1

I have attached the two log files for your reference.  Let me know if I should be logging something different.

#3 - 2018-06-16 07:25 AM - Nyall Dawson

Thanks, that's perfect

#4 - 2018-06-16 07:35 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|ce74d57b2e41b59d5a2773b8539dc089a802d786.

Files

postgresql2.18.log 23.6 KB 2018-06-15 Angie Rudolph

postgresql3.0.log 244 KB 2018-06-15 Angie Rudolph
